<?

// просто оболочка, никакого дополнительного функционала. Он будет в классе File.

class File_func_wrap {
	
	function is_exists($fname) {
		return file_exists($fname);
	}

	function fopen($fname, $mode) {
		err_no();
		$fh = fopen($fname, $mode);
		err_yes();

		return $fh;

	}
	
	function fwrite($fh, &$str, &$write_time) {
		err_no();
		$time_start = microtime(true);
		$res = fwrite($fh, &$str);
		$write_time =  microtime(true) - $time_start ;
		err_yes();

		return $res;
	}
	
	function fread($fh, &$res, $len, &$read_time) {
		err_no();
		$time_start = microtime(true);
		$res = fread($fh, $len);
		$read_time =  microtime(true) - $time_start ;
		err_yes();

		return true;//$res;
	}
	
	function fflush($fh) {
		return fflush($fh);
	}
	
	function fclose($fh) {
		fclose($fh);
	}

	function set_write_buffer($fh, $size_bt) {
		return stream_set_write_buffer($fh, $size_bt);
	}
}


?>